Feeef Cloud
ApiGeo

Communes this courier supports

GET
/geo/couriers/{id}/cities
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Path Parameters

id*string

Query Parameters

country?string
Length2 <= length <= 2
Default"DZ"
lang?string
Default"fr"

Value in

  • "ar"
  • "fr"
  • "en"
state?string
Length2 <= length <= 2
city?string
pickup?string
homeDelivery?string

Value in

  • "true"
  • "false"
hasPickup?string

Value in

  • "true"
  • "false"
expand?string
nearLat?number
Range-90 <= value <= 90
nearLng?number
Range-180 <= value <= 180
nearCity?string
limit?integer
Range0 < value <= 200

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geo/couriers/string/cities"
{  "data": [    {      "externalId": "string",      "externalName": "string",      "stateCode": "string",      "cityName": "string",      "homeDelivery": true,      "hasPickup": true,      "distanceKm": 0,      "canonical": {        "id": "string",        "stateCode": "st",        "country": "st",        "name": "string",        "displayName": "string",        "locales": {          "ar": "string",          "fr": "string",          "en": "string"        },        "center": {          "lat": 0,          "lng": 0        },        "extentKm": {          "width": 0,          "height": 0        },        "bbox": [          0,          0,          0,          0        ],        "h3": "string",        "postalCode": "string"      },      "pickups": [        {          "id": "string",          "externalId": "string",          "name": "string",          "location": {            "lat": 0,            "lng": 0          },          "hours": {            "property1": [              "string"            ],            "property2": [              "string"            ]          }        }      ]    }  ]}